package cn.com.poc.ai_data_audit.query;	

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;
import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for AiDataAuditRuleQuery
 */
@Entity
public class AiDataAuditRuleQueryItem extends BaseItemClass implements Serializable{

    private static final long serialVersionUID = 1L;
    
    /** data_audit_rule_id
    *data_audit_rule_id
    */ 
    private java.lang.Integer dataAuditRuleId;
    
    @Column(name = "data_audit_rule_id")
    public java.lang.Integer getDataAuditRuleId(){
        return this.dataAuditRuleId;
    }
    
    public void setDataAuditRuleId(java.lang.Integer dataAuditRuleId){
        this.dataAuditRuleId = dataAuditRuleId;
    }
    
    /** data_audit_rule_type
    *data_audit_rule_type
    */ 
    private java.lang.String dataAuditRuleType;
    
    @Column(name = "data_audit_rule_type")
    public java.lang.String getDataAuditRuleType(){
        return this.dataAuditRuleType;
    }
    
    public void setDataAuditRuleType(java.lang.String dataAuditRuleType){
        this.dataAuditRuleType = dataAuditRuleType;
    }
    
    /** first_file
    *first_file
    */ 
    private java.lang.Integer firstFile;
    
    @Column(name = "first_file")
    public java.lang.Integer getFirstFile(){
        return this.firstFile;
    }
    
    public void setFirstFile(java.lang.Integer firstFile){
        this.firstFile = firstFile;
    }
    
    /** first_field
    *first_field
    */ 
    private java.lang.String firstField;
    
    @Column(name = "first_field")
    public java.lang.String getFirstField(){
        return this.firstField;
    }
    
    public void setFirstField(java.lang.String firstField){
        this.firstField = firstField;
    }
    
    /** second_file
    *second_file
    */ 
    private java.lang.Integer secondFile;
    
    @Column(name = "second_file")
    public java.lang.Integer getSecondFile(){
        return this.secondFile;
    }
    
    public void setSecondFile(java.lang.Integer secondFile){
        this.secondFile = secondFile;
    }
    
    /** second_field
    *second_field
    */ 
    private java.lang.String secondField;
    
    @Column(name = "second_field")
    public java.lang.String getSecondField(){
        return this.secondField;
    }
    
    public void setSecondField(java.lang.String secondField){
        this.secondField = secondField;
    }
    
    /** rule_desc
    *rule_desc
    */ 
    private java.lang.String ruleDesc;
    
    @Column(name = "rule_desc")
    public java.lang.String getRuleDesc(){
        return this.ruleDesc;
    }
    
    public void setRuleDesc(java.lang.String ruleDesc){
        this.ruleDesc = ruleDesc;
    }
    
    /** is_deleted
    *is_deleted
    */ 
    private java.lang.String isDeleted;
    
    @Column(name = "is_deleted")
    public java.lang.String getIsDeleted(){
        return this.isDeleted;
    }
    
    public void setIsDeleted(java.lang.String isDeleted){
        this.isDeleted = isDeleted;
    }
    
    /** CREATOR
    *CREATOR
    */ 
    private java.lang.String creator;
    
    @Column(name = "CREATOR")
    public java.lang.String getCreator(){
        return this.creator;
    }
    
    public void setCreator(java.lang.String creator){
        this.creator = creator;
    }
    
    /** CREATED_TIME
    *CREATED_TIME
    */ 
    private java.util.Date createdTime;
    
    @Column(name = "CREATED_TIME")
    public java.util.Date getCreatedTime(){
        return this.createdTime;
    }
    
    public void setCreatedTime(java.util.Date createdTime){
        this.createdTime = createdTime;
    }
    
    /** MODIFIER
    *MODIFIER
    */ 
    private java.lang.String modifier;
    
    @Column(name = "MODIFIER")
    public java.lang.String getModifier(){
        return this.modifier;
    }
    
    public void setModifier(java.lang.String modifier){
        this.modifier = modifier;
    }
    
    /** MODIFIED_TIME
    *MODIFIED_TIME
    */ 
    private java.util.Date modifiedTime;
    
    @Column(name = "MODIFIED_TIME")
    public java.util.Date getModifiedTime(){
        return this.modifiedTime;
    }
    
    public void setModifiedTime(java.util.Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }
    
    /** SYS_VERSION
    *SYS_VERSION
    */ 
    private java.lang.Integer sysVersion;
    
    @Column(name = "SYS_VERSION")
    public java.lang.Integer getSysVersion(){
        return this.sysVersion;
    }
    
    public void setSysVersion(java.lang.Integer sysVersion){
        this.sysVersion = sysVersion;
    }
    
} 